#include <cstdint>
#include <iostream>
#include <utility>
#include <vector>
using namespace std;
using ll = int64_t;

ll const maxn=1e5+5;
// vector<vector<pair<ll, ll>>> v(maxn);
vector<vector<pair<ll, ll>>> arr(maxn);

int main(){    
    
    cout<<"hello world!\n";
}